Skip to main content
PUT
/
api
/
v1
/
data
/
{uuid}
/
fields
/
{field_uuid}
Update a column (rename and/or change data_type)
curl --request PUT \
  --url https://{subdomain}.mihu.ai/api/v1/data/{uuid}/fields/{field_uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "sku_code",
  "data_type": "text"
}
'
{
  "success": true,
  "message": "Field updated successfully",
  "data": {
    "data_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "field": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "data_type": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.mindhunters.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

UUID of the table

field_uuid
string<uuid>
required

UUID of the field

Body

application/json
name
string

New name. At least one of name or data_type must be provided.

Example:

"sku_code"

data_type
enum<string>
Available options:
text,
number,
date,
boolean,
json,
url
Example:

"text"

Response

Field updated successfully

success
boolean
Example:

true

message
string
Example:

"Field updated successfully"

data
object